
Redmine - Defect #7917

Creating users via email fails if user real name containes special chars

2011-03-18 13:21 - Poul Thomsen

Status: Closed Start date: 2011-03-18

Priority: Urgent Due date:  

Assignee:  % Done: 50%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed Affected version: 1.1.2

Description

If importing issues using the following command

/usr/bin/rake -f /opt/redmine/Rakefile redmine:email:receive_pop3 RAILS_ENV="production" host=xxxx

xx username=xxxxxx password=xxxxxx project=xxxxxx allow_override=project,tracker,category,priority

 unknown_user=create no_permission_check=1 tracker=support

 In some cases mails will be left on the server with the message:

--> Message <xxxxxxxxxxxx.xxxx.com> NOT processed and left on the server

 When sending a mail with a MailAutherName containing danish special chars "æøå" the mail will be ignored.

It's not a problem creating the user in the system using æøå only the auto creation that fails.

Ruby version: 1.8.7 (i486-linux)

Rails version: 2.3.5

Redmine version: 1.1.2.stable.5164 (MySQL)

Mysql version: 5.1.41-3ubuntu12.9

Related issues:

Related to Redmine - Defect #8157: Redmine do not send notification emails if... Closed

Related to Redmine - Defect #6088: eMail in uncommon formats considered invalid Closed 2010-08-09

Related to Redmine - Defect #8733: Sending email fails when one of members ha... Closed 2011-07-01

Has duplicate Redmine - Defect #9469: redmine:email:receive_imap rejects emai... Closed 2011-10-25

History

#1 - 2011-03-29 16:31 - Peter Brauner

This is an issue for me as well. Living Sweden we have the letters ÅÄÖ åäö in the alphabet.

Now when using unknown_user=create the mails from the imap server is marked as read but is not delivered to Redmine. If I set the rake to use

unknown_user=accept the mails will go through but then of course the user will be set to anonymous and won´t get an account and therefor not any

follow ups on the issues.

Cheers!

//Peter Brauner

#2 - 2011-03-30 09:22 - Etienne Massip

- Target version set to Candidate for next minor release

#3 - 2011-04-12 16:58 - Rogério Carrasqueira

Hi!,

I'm having the same problem with latin caracters. I think that it can be treated as an important feature.

#4 - 2011-05-06 16:33 - Guilherme Andrade Del Cantoni

+1

#5 - 2011-07-06 13:42 - Poul Thomsen
Anyone know of a workaround for this?, this is quite game breaking for us unfortunately.

#6 - 2011-10-22 18:14 - liku xiong·

- % Done changed from 0 to 20

#7 - 2011-10-22 18:14 - liku xiong·

- Assignee set to Felix Schäfer

- % Done changed from 20 to 50

#8 - 2011-10-23 13:44 - Felix Schäfer

- Assignee deleted (Felix Schäfer)

#9 - 2011-10-27 23:54 - Bruno Bigras

Poul Thomsen wrote:

Anyone know of a workaround for this?, this is quite game breaking for us unfortunately.

 I just made a Python class that connects to the IMAP server and then creates a user for each ignored email (those marked as "Seen"). I currently use

it in my cron.

https://github.com/brunoqc/create-redmine-users-from-imap

#10 - 2011-11-27 16:48 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version changed from Candidate for next minor release to 1.3.0

- Resolution set to Fixed

This should be fixed by r7952. There are now defaults for login/firstname/lastname when those extracted from the email are not considered valid.

If you still have problem with user creation after r7952, please attach a raw email so I can do some testing.
